﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Diagnostics;
using System.Net;
namespace CodeEditor2
{
    public partial class Form1 : Form
    {
       
        public void open()
        {
            openFileDialog1.ShowDialog();
        }
        public void forecolor()
        {
            ColorDialog dlg = new ColorDialog();
            if (dlg.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                codebox.ForeColor = dlg.Color;
            }
        }
        public void backcolor()
        {
            ColorDialog dlg = new ColorDialog();
            if (dlg.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                codebox.BackColor = dlg.Color;
            }
        }
        public void font()
        {
            FontDialog fd = new FontDialog();
            if (fd.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                codebox.Font = fd.Font;
            }
        }
        public Form1()
        {
            InitializeComponent();
        }

        private void runToolStripMenuItem_Click(object sender, EventArgs e)
        {
            tabControl1.SelectTab(1);
            webBrowser1.DocumentText = codebox.Text;
        }

        private void codebox_TextChanged(object sender, EventArgs e)
        {
            
            
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            webBrowser1.ScriptErrorsSuppressed = true;
            timer1.Start();
            string path = (@Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments) + @"\CodeEditor2");
            string docpath = (Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments)) + @"\CodeEditor2\index.html";
            if(File.Exists(docpath))
            {
                File.Delete(docpath);
                Directory.Delete(path);
            }
            //Layouts

            //DirectoryInfo dinfo = new DirectoryInfo(Application.StartupPath);
            //foreach(var file in dinfo.GetFiles("*.html"))
            //{
            //    layoutToolStripMenuItem.DropDownItems.Add(Path.GetFileNameWithoutExtension(file.Name));
            //}
            //PROGRAMMING LANGUAGE!!!
            //int counter = 0;
            //string line;

            //// Read the file and display it line by line.
            //StreamReader file = new StreamReader("code.txt");
            //while ((line = file.ReadLine()) != null)
            //{
            //    if (line.Contains("print"))
            //    {
            //        int startIndex = line.IndexOf("print");
            //        MessageBox.Show(line.Remove(startIndex,6));
            //    }
            //    counter++;
            //}

            
        }

        private void tabControl1_KeyDown(object sender, KeyEventArgs e)
        {
           
        }

        private void newToolStripMenuItem_Click(object sender, EventArgs e)
        {
            codebox.Clear();
            webBrowser1.DocumentText = "";
        }

        private void saveToolStripMenuItem_Click(object sender, EventArgs e)// This is actually OPEN Tool Strip
        {
            open();
        }

        private void openToolStripMenuItem_Click(object sender, EventArgs e)//This is actually SAVE Tool Strip
        {
            //savefile();
            saveFileDialog1.ShowDialog();
        }

        private void saveFileDialog1_FileOk(object sender, CancelEventArgs e)
        {
            string name = saveFileDialog1.FileName;
            File.WriteAllText(name, codebox.Text);
        }

        private void textColorToolStripMenuItem_Click(object sender, EventArgs e)
        {
            forecolor();
        }

        private void backgroundColorToolStripMenuItem_Click(object sender, EventArgs e)
        {
            backcolor();
        }

        private void fontToolStripMenuItem_Click(object sender, EventArgs e)
        {
            font();
        }

        private void newToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            codebox.Clear();
            webBrowser1.DocumentText = "";
        }

        private void saveToolStripMenuItem_Click_1(object sender, EventArgs e)
        {
            saveFileDialog1.ShowDialog();
        }

        private void textColorToolStripMenuItem1_Click(object sender, EventArgs e)//THIS IS COLOR CONTEXT MENU
        {

        }

        private void textColorToolStripMenuItem2_Click(object sender, EventArgs e)//THIS IS COLOR CONTEXT MENU TEXT COLOR
        {
            forecolor();
        }

        private void backgroundColorToolStripMenuItem1_Click(object sender, EventArgs e)//THIS IS COLOR CONTEXT MENU BACKGROUND COLOR
        {
            backcolor();
        }

        private void fontToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            font();
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void colorToolStripMenuItem_Click(object sender, EventArgs e)
        {

        }

        private void layout1ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            //string testfiles = @"C:\Users\Dhruv\Desktop\CodeEditor2.0\layout1.html";
            //if (File.Exists(testfiles))
            //{
            //    codebox.Text = File.ReadAllText(testfiles);
            //    webBrowser1.Navigate(testfiles);
            //    Process.Start(testfiles);
            //}
            
                string programfils = Environment.GetFolderPath(Environment.SpecialFolder.ProgramFilesX86);
                string fullprogfiles = programfils + @"\CodeEditor\layout1.html";
                codebox.Text = File.ReadAllText(fullprogfiles);
                webBrowser1.Navigate(fullprogfiles);
                Process.Start(fullprogfiles);

        }

        private void layout2ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            //string testfiles2 = @"C:\Users\Dhruv\Desktop\CodeEditor2.0\layout2.html";
            //if (File.Exists(testfiles2))
            //{
            //    codebox.Text = File.ReadAllText(testfiles2);
            //    webBrowser1.Navigate(testfiles2);
            //    Process.Start(testfiles2);
            //}
            //else

            string programfils = Environment.GetFolderPath(Environment.SpecialFolder.ProgramFilesX86);
            string fullprogfiles = programfils + @"\CodeEditor\layout2.html";
            codebox.Text = File.ReadAllText(fullprogfiles);
            webBrowser1.Navigate(fullprogfiles);
            Process.Start(fullprogfiles);

        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            datelabel.Text = DateTime.Now.ToString();
        }

        private void instructionsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            menu me = new menu();
            me.ShowDialog();
        }

        private void bootstrapToolStripMenuItem_Click(object sender, EventArgs e)
        {
            bootstrap bs = new bootstrap();
            bs.ShowDialog();
        }

        private void jqueryToolStripMenuItem_Click(object sender, EventArgs e)
        {
            jquery jq = new jquery();
            jq.ShowDialog();
        }

        private void openToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            open();
        }

        private void openFileDialog1_FileOk(object sender, CancelEventArgs e)
        {
            string openfilepath = openFileDialog1.FileName;
            string filetext = File.ReadAllText(openfilepath);
            codebox.Text = filetext;
            webBrowser1.DocumentText = codebox.Text;
        }

        private void runInBrowserToolStripMenuItem_Click(object sender, EventArgs e)
        {
            string docpath = (Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments)) + @"\CodeEditor2\index.html";
            Directory.CreateDirectory(@Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments) + @"\CodeEditor2");
            File.WriteAllText(docpath, codebox.Text);
            Process.Start(docpath);
        }

        private void Form1_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.F6)
            {
                runInBrowserToolStripMenuItem.PerformClick();
            }
            if (e.KeyCode == Keys.F5)
            {
                runToolStripMenuItem.PerformClick();
            }
        }

        private void downloadToolStripMenuItem_Click(object sender, EventArgs e)
        {
            //downloadfile();
        }

        private void layoutToolStripMenuItem_Click(object sender, EventArgs e)
        {

        }

            

       
    }
}
